> ## Documentation Index
> Fetch the complete documentation index at: https://docs.riona.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Videos Report

> Get a summaraized video report for any YouTube Channel with a weekly, monthly, quarterly, yearly or all-time stats.

<ResponseExample>
  ```json 200 theme={null}
  {
    "status": {
      "code": 200,
      "message": "OK"
    },
    "videosReport": {
      "weekly": {
        "totalVideos": 1,
        "shorts": 1,
        "longs": 0,
        "totalViews": 807778288,
        "longViews": 233385846,
        "shortViews": 574392441
      },
      "monthly": {
        "totalVideos": 7,
        "shorts": 5,
        "longs": 2,
        "totalViews": 3363479320,
        "longViews": 1002172572,
        "shortViews": 2361306747
      },
      "quarterly": {
        "totalVideos": 23,
        "shorts": 17,
        "longs": 6,
        "totalViews": 10593083263,
        "longViews": 2699074154,
        "shortViews": 7894009108
      },
      "yearly": {
        "totalVideos": 79,
        "shorts": 58,
        "longs": 21,
        "totalViews": 36084609058,
        "longViews": 9675084695,
        "shortViews": 26409524362
      },
      "allTime": {
        "totalVideos": 898,
        "shorts": 113,
        "longs": 785,
        "totalViews": 91550723696,
        "longViews": 47179746983,
        "shortViews": 44370976712
      }
    }
  }
  ```
</ResponseExample>


## OpenAPI

````yaml api-reference/openapi-3.0.json get /wf/youtube-channel-videos-report
openapi: 3.0.3
info:
  title: Riona API Docs
  version: 1.0.0
  contact:
    email: info@riona.ai
    url: https://riona.ai
servers:
  - url: https://riona.ai/api/1.1
security:
  - bearerAuth: []
tags:
  - name: Workflow
    description: Use this to trigger a workflow
  - name: Data
    description: Use this to fetch, modify and delete data
paths:
  /wf/youtube-channel-videos-report:
    get:
      tags:
        - Workflow
      description: Triggers the workflow youtube-channel-videos-report
      operationId: get_wf_youtube-channel-videos-report
      parameters:
        - name: id
          in: query
          required: true
          description: >-
            **masterID**: the id of the Social Account, to get this you need to
            call the endpoint **Get Profile by URL** OR **Get Channel Details**
          schema:
            type: string
        - name: includeProfile
          in: query
          required: false
          description: >-
            If you would like to get the channel profile and details set this to
            `true`
          schema:
            type: boolean
        - name: api_key
          in: query
          required: true
          description: >-
            This is your account API Key. You can easily locate it in your
            account dashboard.
          schema:
            type: string
      responses:
        '200':
          description: OK
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````